<?xml version="1.0" encoding="UTF-8"?>
    <Platform name="lucia-cray-iompi">
        <Description>
            HOST:        Lucia at CENAERO
            ARCH:        linux_x86_64
            CPU MODEL:   AMD EPYC 7763
            USER:        pbarriat
            COMPILER:    intel-compilers-2022.1.0 
            MPI:         OpenMPI/4.1.4
	    BLAS/LAPACK: imkl/2022.1.0
        </Description>

        <Parameter name="ECEARTH_SRC_DIR">
            <Description>Base directory for EC-Earth sources</Description>
            <Type>PATH</Type>
            <Value>${HOME}/models/ecearth_3.3.3.2/sources</Value>
        </Parameter>

        <Parameter name="MPI_BASE_DIR">
            <Description>MPI base directory</Description>
            <Type>PATH</Type>
	    <Value>$(EBROOTIMPI)/mpi/latest</Value>
        </Parameter>

        <Parameter name="MPI_INC_SUBDIR">
            <Description>MPI include directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>include</Value>
        </Parameter>

        <Parameter name="MPI_LIB_SUBDIR">
            <Description>MPI lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib</Value>
        </Parameter>

        <Parameter name="MPI_LIBS_WITHOUT_L">
            <Description>MPI libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>mpi mpifort</Value>
        </Parameter>

        <Parameter name="LAPACK_BASE_DIR">
            <Description>LAPACK base directory</Description>
	    <Type>PATH</Type>
	    <Value>$(EBROOTIMKL)/mkl/latest</Value>
        </Parameter>

        <Parameter name="LAPACK_LIB_SUBDIR">
            <Description>LAPACK lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib/intel64</Value>
        </Parameter>

        <Parameter name="LAPACK_LIBS_WITHOUT_L">
            <Description>LAPACK libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>mkl_intel_lp64 mkl_core mkl_sequential</Value>
        </Parameter>

        <Parameter name="NETCDF_BASE_DIR">
            <Description>NetCDF base directory</Description>
            <Type>PATH</Type>
	    <Value>/</Value>
        </Parameter>

        <Parameter name="NETCDF_INC_SUBDIR">
            <Description>NetCDF include directory relative to base dir</Description>
            <Type>PATH</Type>
	    <Value>$(EBROOTNETCDF)/include $(EBROOTNETCDFMINFORTRAN)/include</Value>
        </Parameter>

        <Parameter name="NETCDF_LIB_SUBDIR">
            <Description>NetCDF lib directory relative to base dir</Description>
            <Type>PATH</Type>
	    <Value>$(EBROOTNETCDF)/lib64 $(EBROOTNETCDFMINFORTRAN)/lib</Value>
        </Parameter>

        <Parameter name="NETCDF_LIBS_WITHOUT_L">
            <Description>NetCDF libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>netcdff netcdf</Value>
        </Parameter>

        <Parameter name="GRIBAPI_BASE_DIR">
            <Description>GRIB API base directory</Description>
            <Type>PATH</Type>
            <Value>$(EBROOTGRIB_API)</Value>
        </Parameter>

        <Parameter name="GRIBAPI_INC_SUBDIR">
            <Description>GRIB API include directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>include</Value>
        </Parameter>

        <Parameter name="GRIBAPI_LIB_SUBDIR">
            <Description>GRIB API lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib</Value>
        </Parameter>

        <Parameter name="GRIBAPI_LIBS_WITHOUT_L">
            <Description>GRIB_API libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>grib_api_f90 grib_api</Value>
        </Parameter>

        <Parameter name="GRIBEX_BASE_DIR">
            <Description>GRIBEX base directory</Description>
            <Type>PATH</Type>
	    <Value>/gpfs/projects/acad/ecearth/softs/gribex/iompi-2022.05</Value>
        </Parameter>

        <Parameter name="GRIBEX_LIB_SUBDIR">
            <Description>GRIBEX lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib</Value>
        </Parameter>

        <Parameter name="GRIBEX_LIBS_WITHOUT_L">
            <Description>GRIBEX libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>gribexR64</Value>
        </Parameter>

        <Parameter name="JPEG_BASE_DIR">
            <Description>JPEG base directory</Description>
            <Type>PATH</Type>
            <Value>$(EBROOTOPENJPEG)</Value>
        </Parameter>

        <Parameter name="JPEG_INC_SUBDIR">
            <Description>JPEG include directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>include</Value>
        </Parameter>

        <Parameter name="JPEG_LIB_SUBDIR">
            <Description>JPEG lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib</Value>
        </Parameter>

        <Parameter name="JPEG_LIBS_WITHOUT_L">
            <Description>JPEG libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>openjpeg</Value>
        </Parameter>

        <Parameter name="SZIP_BASE_DIR">
            <Description>SZIP base directory</Description>
            <Type>PATH</Type>
            <Value>$(EBROOTSZIP)</Value>
        </Parameter>

        <Parameter name="SZIP_INC_SUBDIR">
            <Description>SZIP include directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>include</Value>
        </Parameter>

        <Parameter name="SZIP_LIB_SUBDIR">
            <Description>SZIP lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib</Value>
        </Parameter>

        <Parameter name="SZIP_LIBS_WITHOUT_L">
            <Description>SZIP libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>sz</Value>
        </Parameter>

        <Parameter name="HDF4_BASE_DIR">
            <Description>HDF4 base directory</Description>
            <Type>PATH</Type>
            <Value/>
        </Parameter>

        <Parameter name="HDF4_INC_SUBDIR">
            <Description>HDF4 include directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value/>
        </Parameter>

        <Parameter name="HDF4_LIB_SUBDIR">
            <Description>HDF4 lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value/>
        </Parameter>

        <Parameter name="HDF4_LIBS_WITHOUT_L">
            <Description>HDF4 libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value/>
        </Parameter>

        <Parameter name="HDF5_BASE_DIR">
            <Description>HDF5 base directory</Description>
            <Type>PATH</Type>
            <Value>$(EBROOTHDF5)</Value>
        </Parameter>

        <Parameter name="HDF5_INC_SUBDIR">
            <Description>HDF5 include directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>include</Value>
        </Parameter>

        <Parameter name="HDF5_LIB_SUBDIR">
            <Description>HDF5 lib directory relative to base dir</Description>
            <Type>PATH</Type>
            <Value>lib</Value>
        </Parameter>

        <Parameter name="HDF5_LIBS_WITHOUT_L">
            <Description>HDF5 libraries (without -l prefix)</Description>
            <Type>STRING</Type>
            <Value>hdf5_hl hdf5</Value>
        </Parameter>

        <Parameter name="MAKE">
            <Description>Make command (GNU make min 3.81 needed!)</Description>
            <Type>STRING</Type>
            <Value>make</Value>
        </Parameter>

        <Parameter name="FC">
            <Description>F90 Compiler</Description>
            <Type>STRING</Type>
            <Value>mpif90</Value>
        </Parameter>

        <Parameter name="FFLAGS">
            <Description>General F90 flags for compiling</Description>
            <Type>STRING</Type>
            <Value>-r8 -O3 -march=core-avx2 -ip -fp-model precise -extend-source 132 </Value>
        </Parameter>

        <Parameter name="FFLAGS_FREEFORM">
            <Description>Allow for free format Fortran</Description>
            <Type>STRING</Type>
            <Value>-free</Value>
        </Parameter>

        <Parameter name="FFLAGS_FIXEDFORM">
            <Description>Expect fixed Fortran format</Description>
            <Type>STRING</Type>
            <Value>-fixed</Value>
        </Parameter>

        <Parameter name="FFLAGS_FPP_PREFIX">
            <Description>Fortran preprocessor flag prefix</Description>
            <Type>STRING</Type>
            <Value>-D</Value>
        </Parameter>

        <Parameter name="CC">
            <Description>C Compiler</Description>
            <Type>STRING</Type>
            <Value>mpicc</Value>
        </Parameter>

        <Parameter name="CXX">
            <Description>C++ Compiler</Description>
            <Type>STRING</Type>
            <Value>mpicc</Value>
        </Parameter>

        <Parameter name="CFLAGS">
            <Description>General C flags for compiling</Description>
            <Type>STRING</Type>
            <Value>-O1 -fp-model precise -march=core-avx2</Value>
        </Parameter>

        <Parameter name="CFLAGS_CPP_PREFIX">
            <Description>C preprocessor flag prefix</Description>
            <Type>STRING</Type>
            <Value>-D</Value>
        </Parameter>

        <Parameter name="LD">
            <Description>Linker</Description>
            <Type>STRING</Type>
            <Value>mpif90</Value>
        </Parameter>

        <Parameter name="LDFLAGS">
            <Description>General flags for linking</Description>
            <Type>STRING</Type>
            <Value>-O3 -fp-model precise -march=core-avx2</Value>
        </Parameter>

        <Parameter name="AR">
            <Description>Command for building libraries from object files (usually ar)</Description>
            <Type>STRING</Type>
            <Value>ar</Value>
        </Parameter>

        <Parameter name="ARFLAGS">
            <Description>Flags for library building command (When using ar: include u)</Description>
            <Type>STRING</Type>
            <Value>curv</Value>
        </Parameter>

        <Parameter name="ARFLAGS_EXTRACT">
            <Description>Flags for library building command (When using ar: include u)</Description>
            <Type>STRING</Type>
            <Value>p</Value>
        </Parameter>

        <Parameter name="CPP">
            <Description>C preprocessor command</Description>
            <Type>STRING</Type>
            <Value>fpp</Value>
        </Parameter>

        <Parameter name="FPP">
            <Description>C preprocessor command</Description>
            <Type>STRING</Type>
            <Value>fpp</Value>
        </Parameter>

        <Parameter name="CPPFLAGS">
            <Description>C preprocessor flags</Description>
            <Type>STRING</Type>
            <Value>-P -C -traditional</Value>
        </Parameter>

        <Parameter name="XIOS_CFLAGS">
            <Description>CFLAGS flags for XIOS</Description>
            <Type>STRING</Type>
            <Value>-ansi -w</Value>
        </Parameter>

        <Parameter name="XIOS_ADD_LDFLAGS">
            <Description>More LD flags for XIOS</Description>
            <Type>STRING</Type>
            <Value>-lstdc++</Value>
        </Parameter>

        <Parameter name="OASIS_ADD_FFLAGS">
            <Description>More F90 flags for Oasis</Description>
            <Type>STRING</Type>
            <Value>-132 -check pointers -check uninit</Value>
        </Parameter>

        <Parameter name="OASIS_ADD_PPDEFS">
            <Description>More CPP/FPP macros for Oasis</Description>
            <Type>STRING</Type>
            <Value/>
        </Parameter>

        <Parameter name="OASIS_ADD_LDFLAGS">
            <Description>More LD flags for Oasis</Description>
            <Type>STRING</Type>
            <Value/>
        </Parameter>

        <Parameter name="NEMO_ADD_FFLAGS">
            <Description>More F90 flags for Nemo</Description>
            <Type>STRING</Type>
            <Value>-check pointers -check uninit -fpe0</Value>
        </Parameter>

        <Parameter name="NEMO_ADD_LDFLAGS">
            <Description>More LD flags for Nemo</Description>
            <Type>STRING</Type>
            <Value>-lstdc++</Value>
        </Parameter>

        <Parameter name="IFS_PPDEFS">
            <Description>Preprocessor defs for IFS sources</Description>
            <Type>STRING</Type>
            <Value>linux LINUX LITTLE LITTLE_ENDIAN POINTER_64 BLAS</Value>
        </Parameter>

        <Parameter name="IFSAUX_ADD_FFLAGS">
            <Description>More F90 flags for ifs/ifsaux</Description>
            <Type>STRING</Type>
            <Value></Value>
        </Parameter>

        <Parameter name="TM5_DEFAULT_FFLAGS">
            <Description>Default F90 flags for TM5 (ie without optimization)</Description>
            <Type>STRING</Type>
            <Value></Value>
        </Parameter>

        <Parameter name="TM5_OPTIM_FFLAGS">
            <Description>F90 optimization flags for TM5</Description>
            <Type>STRING</Type>
            <Value>-O3</Value>
        </Parameter>

        <Parameter name="TM5_MDEFS_FFLAGS">
            <Description>Model preprocessor defs. Set to with_ecearth_optics if aerosols feedback will be switch on.</Description>
            <Type>STRING</Type>
            <Value>with_ecearth_optics</Value>
        </Parameter>

        <Parameter name="TM5_CO2_ONLY">
            <Description>Light version of TM5 (True or False)</Description>
            <Type>STRING</Type>
            <Value>False</Value>
        </Parameter>

        <Parameter name="MAKEDEPF90">
            <Description>F90 dependency generator</Description>
            <Type>STRING</Type>
            <Value>$(ECEARTH_SRC_DIR)/util/makedepf90/bin/makedepf90</Value>
        </Parameter>

    </Platform>
